;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          pubmed.asd
;;;; Purpose:       ASDF definition file for Pubmed
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Sep 2002
;;;;
;;;; $Id: pubmed.asd,v 1.2 2002/10/31 01:54:12 kevin Exp $
;;;;
;;;; This file, part of cl-pubmed, is Copyright (c) 2002 by Kevin M. Rosenberg
;;;;
;;;; cl-pubmed users are granted the rights to distribute and use this software
;;;; as governed by the terms of the GNU Lesser General Public License 
;;;; (http://www.gnu.org/licenses/lgpl.html)
;;;; *************************************************************************

(in-package :asdf)

#+(and allegro common-lisp-controller) (c-l-c::clc-require :aserve)
#+(and allegro (not common-lisp-controller)) (require :aserve)

;; only define system on implementations that aserve is available
#+(or allegro lispworks cmucl mcl openmcl)
(defsystem :pubmed
  :name "cl-pubmed"
  :author "Kevin M. Rosenberg <kevin@rosenberg.net>"
  :version "1.0"
  :maintainer "Kevin M. Rosenberg <kmr@debian.org>"
  :licence "GNU Lesser General Public License"
  :description "Library for querying the PubMed medical literature database"
  :long-description "This library has functions for querying the PubMed medical literature database and parsing the XML results into Common Lisp objects."
  
  :perform (load-op :after (op pubmed)
	    (pushnew :pubmed cl:*features*))
  
  :components ((:file "pubmed"))
  
  :depends-on (:kmrcl #-allegro :aserve))

;; only define system on implementations that aserve is available
#+(or allegro lispworks cmucl mcl openmcl)
(when (ignore-errors (find-class 'load-compiled-op))
  (defmethod perform :after ((op load-compiled-op) (c (eql (find-system :pubmed))))
    (pushnew :pubmed cl:*features*)))

